This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495440 - (perl-Devel-FastProf) Review Request: perl-Devel-FastProf - Fast perl per-line profiler
Review Request: perl-Devel-FastProf - Fast perl per-line profiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Devel-Fas...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 03:34 EDT by Iain Arnell
Modified: 2009-05-02 12:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.08-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 23:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-13 03:34:32 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Devel-FastProf.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Devel-FastProf-0.08-1.fc11.src.rpm

Description:
Devel::FastProf is a perl per-line profiler. What that means is that it can
tell you how much time is spent on every line of a perl script (the
standard Devel::DProf is a per-subroutine profiler).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1293584

*rt-0.05
Comment 1 Parag AN(पराग) 2009-04-13 03:52:10 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1293584
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f8185d084e0323b96ad69fc24775aa94  Devel-FastProf-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=5,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.11 cusr  0.02 csys =  0.17 CPU)
+ Package perl-Devel-FastProf-0.08-1.fc11.i586 =>
  Provides: perl(Devel::FastProf) = 0.08 perl(Devel::FastProf::Reader) = 0.08
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) perl(Carp) perl(Devel::FastProf::Reader) perl(Exporter) perl(Getopt::Std) perl(Sort::Key) perl(strict) perl(warnings) perl(XSLoader) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH) /usr/bin/perl

APPROVED.
Comment 2 Iain Arnell 2009-04-13 03:55:42 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-FastProf
Short Description: Fast perl per-line profiler
Owners: iarnell
Branches: F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-13 11:50:19 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-21 23:42:14 EDT
perl-Devel-FastProf-0.08-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Devel-FastProf-0.08-1.fc10
Comment 5 Fedora Update System 2009-05-02 12:25:27 EDT
perl-Devel-FastProf-0.08-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.